Index: /NEMO/branches/UKMO/NEMO_4.0_GO8_package/cfgs/SHARED/namelist_ice_ref
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0_GO8_package/cfgs/SHARED/namelist_ice_ref	(revision 11081)
+++ /NEMO/branches/UKMO/NEMO_4.0_GO8_package/cfgs/SHARED/namelist_ice_ref	(revision 11082)
@@ -154,5 +154,5 @@
 &namthd_do      !   Ice growth in open water
 !------------------------------------------------------------------------------
-   rn_hinew         =   0.1           !  thickness for new ice formation in open water (m), must be larger than rn_hnewice
+   rn_hinew         =   0.1           !  thickness for new ice formation in open water (m), must be larger than rn_himin
    ln_frazil        = .false.         !  Frazil ice parameterization (ice collection as a function of wind)
       rn_maxfraz    =   1.0           !     maximum fraction of frazil ice collecting at the ice base
Index: /NEMO/branches/UKMO/NEMO_4.0_GO8_package/cfgs/SPITZ12/EXPREF/namelist_cfg
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0_GO8_package/cfgs/SPITZ12/EXPREF/namelist_cfg	(revision 11081)
+++ /NEMO/branches/UKMO/NEMO_4.0_GO8_package/cfgs/SPITZ12/EXPREF/namelist_cfg	(revision 11082)
@@ -80,4 +80,6 @@
                      ! Sea-ice :
    nn_ice      = 2         !  SI3
+   ln_ice_embd = .false.   !  =T embedded sea-ice (pressure + mass and salt exchanges)
+      !                    !  =F levitating ice (no pressure, mass and salt exchanges)
                      ! Misc. options of sbc :
    ln_traqsr   = .true.    !  Light penetration in the ocean            (T => fill namtra_qsr )
@@ -90,5 +92,5 @@
       !
       ln_Cd_L12   = .false.   !  air-ice drags = F(ice concentration) (Lupkes et al. 2012)
-      ln_Cd_L15   = .false.   !  air-ice drags = F(ice concentration) (Lupkes et al. 2015)
+      ln_Cd_L15   = .true.    !  air-ice drags = F(ice concentration) (Lupkes et al. 2015)
       !
    cn_dir = './'  !  root directory for the bulk data location
@@ -96,16 +98,4 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ !          weights filename            ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                                      ! pairing  !    filename   !
-!! ERAI
-!   sn_wndi     = 'u10_era_spitz'               ,         6         , 'u10'     ,   .true.    , .false. , 'yearly'  , 'weights_bicub', 'Uwnd' , ''
-!   sn_wndj     = 'v10_era_spitz'               ,         6         , 'v10'     ,   .true.    , .false. , 'yearly'  , 'weights_bicub', 'Vwnd' , ''
-!   sn_qsr      = 'ssrd_era_spitz'              ,         6         , 'ssrd'    ,   .true.    , .false. , 'yearly'  , 'weights_bilin', '' , ''
-!   sn_qlw      = 'strd_era_spitz'              ,         6         , 'strd'    ,   .true.    , .false. , 'yearly'  , 'weights_bilin', '' , ''
-!   sn_tair     = 't2_era_spitz'                ,         6         , 't2'      ,   .true.    , .false. , 'yearly'  , 'weights_bilin', '' , ''
-!   sn_humi     = 'humi_era_spitz'              ,         6         , 'humi'    ,   .true.    , .false. , 'yearly'  , 'weights_bilin', '' , ''
-!   sn_prec     = 'precip_era_spitz'            ,         6         , 'precip'  ,   .true.    , .false. , 'yearly'  , 'weights_bilin', '' , ''
-!   sn_snow     = 'snow_era_spitz'              ,         6         , 'snow'    ,   .true.    , .false. , 'yearly'  , 'weights_bilin', '' , ''
-!   sn_tdif     = 'taudif'                      ,         6         , 'taudif'  ,   .true.    , .false. , 'yearly'  , ''             , '' , ''
-!      rn_zqt      = 10.       !  Air temperature & humidity reference height (m)
-!! MAR
    sn_wndi     = 'MARv3.6-9km-Svalbard-2hourly_spitz' ,   2 ,  'u10'     ,   .true.    , .false. , 'yearly'  , 'weights_bicub', 'Uwnd' , ''
    sn_wndj     = 'MARv3.6-9km-Svalbard-2hourly_spitz' ,   2 ,  'v10'     ,   .true.    , .false. , 'yearly'  , 'weights_bicub', 'Vwnd' , ''
@@ -129,12 +119,4 @@
    !                       ! type of penetration                        (default: NO selection)
    ln_qsr_rgb  = .true.       !  RGB light penetration (Red-Green-Blue)
-/
-!-----------------------------------------------------------------------
-&namsbc_ssr    !   surface boundary condition : sea surface restoring   (ln_ssr =T)
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namsbc_rnf    !   runoffs                                              (ln_rnf =T)
-!-----------------------------------------------------------------------
 /
 !!======================================================================
@@ -236,19 +218,13 @@
 !-----------------------------------------------------------------------
    ln_loglayer = .true.   !  logarithmic drag: Cd = vkarmn/log(z/z0) |U|
+   ln_drgimp   = .true.   !  implicit top/bottom friction flag
 /
 !-----------------------------------------------------------------------
 &namdrg_bot    !   BOTTOM friction                                      (ln_OFF =F)
 !-----------------------------------------------------------------------
-   rn_Cd0      =  2.5e-3   !!1.e-3    !  drag coefficient [-]
-   rn_Cdmax    =  0.01     !!0.1      !  drag value maximum [-] (logarithmic drag)
-   rn_ke0      =  0.       !!2.5e-3   !  background kinetic energy  [m2/s2] (non-linear cases)
+   rn_Cd0      =  2.5e-3   !  drag coefficient [-]
+   rn_Cdmax    =  0.1      !  drag value maximum [-] (logarithmic drag)
+   rn_ke0      =  0.       !  background kinetic energy  [m2/s2] (non-linear cases)
    rn_z0       =  3.e-3    !  roughness [m] (ln_loglayer=T)
-   ln_boost    = .false.   !  =T regional boost of Cd0 ; =F constant
-      rn_boost =  50.         !  local boost factor  [-]
-/
-!-----------------------------------------------------------------------
-&nambbc        !   bottom temperature boundary condition                (default: OFF)
-!-----------------------------------------------------------------------
-   ln_trabbc   = .false.    !  Apply a geothermal heating at the ocean bottom
 /
 !-----------------------------------------------------------------------
@@ -258,6 +234,4 @@
       nn_bbl_ldf  =  1        !  diffusive bbl (=1)   or not (=0)
       nn_bbl_adv  =  0        !  advective bbl (=1/2) or not (=0)
-      rn_ahtbbl   =  1000.    !  lateral mixing coefficient in the bbl  [m2/s]
-      rn_gambbl   =  10.      !  advective bbl coefficient                 [s]
 /
 !!======================================================================
@@ -293,5 +267,5 @@
    !                       !  Coefficients:
    nn_aht_ijk_t    = 31        !  space/time variation of eddy coefficient:
-      !                             !   = 31 F(i,j,k,t)=F(local velocity and grid-spacing)
+   !                                !   = 31 F(i,j,k,t)=F(local velocity and grid-spacing)
 /
 !!======================================================================
@@ -320,5 +294,5 @@
 &namdyn_vor    !   Vorticity / Coriolis scheme                          (default: NO selection)
 !-----------------------------------------------------------------------
-   ln_dynvor_enT = .true. !  energy conserving scheme (T-point)
+   ln_dynvor_eeT = .true.  !  energy conserving scheme (een using e3t)
 /
 !-----------------------------------------------------------------------
@@ -352,8 +326,14 @@
 &namzdf        !   vertical physics manager                             (default: NO selection)
 !-----------------------------------------------------------------------
+   !                       ! adaptive-implicit vertical advection
+   ln_zad_Aimp = .true.      !  Courant number dependent scheme (Shchepetkin 2015)
    !                       ! type of vertical closure (required)
    ln_zdftke   = .true.       !  Turbulent Kinetic Energy closure       (T =>   fill namzdf_tke)
    ln_zdfgls   = .false.      !  Generic Length Scale closure           (T =>   fill namzdf_gls)
+   !                       ! convection
+   ln_zdfevd   = .true.       !  enhanced vertical diffusion
+   !
    ln_zdfddm   = .true.    ! double diffusive mixing
+   !
    !                       !  Coefficients
    rn_avm0     =   1.2e-4     !  vertical eddy viscosity   [m2/s]       (background Kz if ln_zdfcst=F)
@@ -384,8 +364,4 @@
 /
 !-----------------------------------------------------------------------
-&nam_diaharm   !   Harmonic analysis of tidal constituents              ('key_diaharm')
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
 &namnc4        !   netcdf4 chunking and compression settings            ("key_netcdf4")
 !-----------------------------------------------------------------------
Index: /NEMO/branches/UKMO/NEMO_4.0_GO8_package/cfgs/SPITZ12/EXPREF/namelist_ice_cfg
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0_GO8_package/cfgs/SPITZ12/EXPREF/namelist_ice_cfg	(revision 11081)
+++ /NEMO/branches/UKMO/NEMO_4.0_GO8_package/cfgs/SPITZ12/EXPREF/namelist_ice_cfg	(revision 11082)
@@ -35,4 +35,5 @@
 &namdyn         !   Ice dynamics
 !------------------------------------------------------------------------------
+   ln_landfast_L16  = .true.          !  landfast: parameterization from Lemieux 2016
 /
 !------------------------------------------------------------------------------
@@ -43,4 +44,6 @@
 &namdyn_rhg     !   Ice rheology
 !------------------------------------------------------------------------------
+   ln_rhg_EVP       = .true.          !  EVP rheology
+      ln_aEVP       = .true.          !     adaptive rheology (Kimmritz et al. 2016 & 2017)
 /
 !------------------------------------------------------------------------------
@@ -67,5 +70,5 @@
 &namthd_do      !   Ice growth in open water
 !------------------------------------------------------------------------------
-   rn_hinew         =   0.02          !  thickness for new ice formation in open water (m), must be larger than rn_hnewice
+   rn_hinew         =   0.02          !  thickness for new ice formation in open water (m), must be larger than rn_himin
    ln_frazil        = .true.          !  Frazil ice parameterization (ice collection as a function of wind)
 /
@@ -77,7 +80,6 @@
 &namthd_pnd     !   Melt ponds
 !------------------------------------------------------------------------------
-   ln_pnd_H12       = .false.         !  activate evolutive melt ponds (from Holland et al 2012)
-   ln_pnd_CST       = .false.         !  activate constant melt ponds
-   ln_pnd_alb       = .false.         !  melt ponds affect albedo or not
+   ln_pnd_H12       = .true.          !  activate evolutive melt ponds (from Holland et al 2012)
+   ln_pnd_alb       = .true.          !  melt ponds affect albedo or not
 /
 
Index: /NEMO/branches/UKMO/NEMO_4.0_GO8_package/doc/rst/Makefile
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0_GO8_package/doc/rst/Makefile	(revision 11081)
+++ /NEMO/branches/UKMO/NEMO_4.0_GO8_package/doc/rst/Makefile	(revision 11082)
@@ -23,3 +23,3 @@
 # Browse to 127.0.0.1:8000/NEMO_guide.html
 htmllive:
-	sphinx-autobuild $(SPHINXOPTS) $(SOURCEDIR) $(BUILDDIR)/html
+	sphinx-autobuild $(SPHINXOPTS) $(SOURCEDIR) $(BUILDDIR)/htmllive
Index: /NEMO/branches/UKMO/NEMO_4.0_GO8_package/doc/rst/source/conf.py
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0_GO8_package/doc/rst/source/conf.py	(revision 11081)
+++ /NEMO/branches/UKMO/NEMO_4.0_GO8_package/doc/rst/source/conf.py	(revision 11082)
@@ -92,4 +92,5 @@
 # -- Customisation -----------------------------------------------------------
 
+# Timestamping
 import datetime
 year = datetime.date.today().year
@@ -108,2 +109,7 @@
 # Include common directives for every rst file
 rst_epilog = open('global.rst', 'r').read()
+
+# SVN revision
+import subprocess
+revision = subprocess.check_output("svnversion").decode("utf-8")
+rst_prolog = '.. |revision| replace:: %s' % revision
Index: /NEMO/branches/UKMO/NEMO_4.0_GO8_package/src/ICE/icecor.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0_GO8_package/src/ICE/icecor.F90	(revision 11081)
+++ /NEMO/branches/UKMO/NEMO_4.0_GO8_package/src/ICE/icecor.F90	(revision 11082)
@@ -66,7 +66,6 @@
          WRITE(numout,*) '~~~~~~~'
       ENDIF
-      !
       !                             !-----------------------------------------------------
-      !                             !  ice thickness must exceed himin (for ice diff)    !
+      !                             !  ice thickness must exceed himin (for temp. diff.) !
       !                             !-----------------------------------------------------
       WHERE( a_i(:,:,:) >= epsi20 )   ;   h_i(:,:,:) = v_i(:,:,:) / a_i(:,:,:)
@@ -97,5 +96,4 @@
          END DO
       ENDIF
-
       !                             !-----------------------------------------------------
       !                             !  Rebin categories with thickness out of bounds     !
Index: /NEMO/branches/UKMO/NEMO_4.0_GO8_package/src/ICE/icectl.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0_GO8_package/src/ICE/icectl.F90	(revision 11081)
+++ /NEMO/branches/UKMO/NEMO_4.0_GO8_package/src/ICE/icectl.F90	(revision 11082)
@@ -69,5 +69,5 @@
       !!
       REAL(wp) ::   zv, zs, zt, zfs, zfv, zft
-      REAL(wp) ::   zvmin, zamin, zamax 
+      REAL(wp) ::   zvmin, zamin, zamax, zeimin, zesmin, zsmin
       REAL(wp) ::   zvtrp, zetrp
       REAL(wp) ::   zarea, zv_sill, zs_sill, zt_sill
@@ -141,7 +141,10 @@
          zetrp = glob_sum( 'icectl', ( diag_trp_ei        + diag_trp_es        ) * e1e2t  ) * zconv
 
-         zvmin = glob_min( 'icectl', v_i )
-         zamax = glob_max( 'icectl', SUM( a_i, dim=3 ) )
-         zamin = glob_min( 'icectl', a_i )
+         zamax  = glob_max( 'icectl', SUM( a_i, dim=3 ) )
+         zvmin  = glob_min( 'icectl', v_i )
+         zamin  = glob_min( 'icectl', a_i )
+         zsmin  = glob_min( 'icectl', sv_i )
+         zeimin = glob_min( 'icectl', SUM( e_i, dim=3 ) )
+         zesmin = glob_min( 'icectl', SUM( e_s, dim=3 ) )
 
          ! set threshold values and calculate the ice area (+epsi10 to set a threshold > 0 when there is no ice) 
@@ -152,13 +155,18 @@
 
          IF(lwp) THEN
-            IF ( ABS( zv   ) > zv_sill )   WRITE(numout,*) 'violation volume [Mt/day]     (',cd_routine,') = ',zv
-            IF ( ABS( zs   ) > zs_sill )   WRITE(numout,*) 'violation saline [psu*Mt/day] (',cd_routine,') = ',zs
-            IF ( ABS( zt   ) > zt_sill )   WRITE(numout,*) 'violation enthalpy [GW]       (',cd_routine,') = ',zt
-            IF ( zvmin < -epsi10 )         WRITE(numout,*) 'violation v_i<0  [m]          (',cd_routine,') = ',zvmin
-            IF ( zamax > MAX( rn_amax_n, rn_amax_s ) + epsi10   &
-               & .AND. cd_routine /= 'icedyn_adv' .AND. cd_routine /= 'icedyn_rdgrft' .AND. cd_routine /= 'Hbig' ) &
-               &                           WRITE(numout,*) 'violation a_i>amax            (',cd_routine,') = ',zamax
-            IF ( zamin < -epsi10 )         WRITE(numout,*) 'violation a_i<0               (',cd_routine,') = ',zamin
-!clem: the following check fails when using UMx advection scheme (see comments in icedyn_adv.F90)
+            ! check conservation issues
+            IF ( ABS( zv ) > zv_sill )   WRITE(numout,*) 'violation volume [Mt/day]     (',cd_routine,') = ',zv
+            IF ( ABS( zs ) > zs_sill )   WRITE(numout,*) 'violation saline [psu*Mt/day] (',cd_routine,') = ',zs
+            IF ( ABS( zt ) > zt_sill )   WRITE(numout,*) 'violation enthalpy [GW]       (',cd_routine,') = ',zt
+            ! check maximum ice concentration
+            IF ( zamax > MAX( rn_amax_n,rn_amax_s)+epsi10 .AND. cd_routine /= 'icedyn_adv' .AND. cd_routine /= 'icedyn_rdgrft' )  &
+               &                         WRITE(numout,*) 'violation a_i>amax            (',cd_routine,') = ',zamax
+            ! check negative values
+            IF ( zvmin  < 0. )           WRITE(numout,*) 'violation v_i<0  [m]          (',cd_routine,') = ',zvmin
+            IF ( zamin  < 0. )           WRITE(numout,*) 'violation a_i<0               (',cd_routine,') = ',zamin
+            IF ( zsmin  < 0. )           WRITE(numout,*) 'violation s_i<0               (',cd_routine,') = ',zsmin
+            IF ( zeimin < 0. )           WRITE(numout,*) 'violation e_i<0               (',cd_routine,') = ',zeimin
+            IF ( zesmin < 0. )           WRITE(numout,*) 'violation e_s<0               (',cd_routine,') = ',zesmin
+!clem: the following check fails (I think...)
 !            IF ( ABS(zvtrp ) > zv_sill .AND. cd_routine == 'icedyn_adv' ) THEN
 !                                           WRITE(numout,*) 'violation vtrp [Mt/day]       (',cd_routine,') = ',zvtrp
